Page MenuHome

2.8 .blend incompatible with Unity
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: Intel(R) HD Graphics 4600 Intel 4.3.0 - Build 20.19.15.4531

Blender Version
Broken: version: 2.80 (sub 57), branch: blender2.7, commit date: 2019-04-17 19:26, hash: rBb46245470f79
Worked: (optional)

Short description of error
As reported before to Unity (https://fogbugz.unity3d.com/default.asp?1147956_st24hi49mg1bpind) when I try to use a .blend or even a .fbx created in Blender 2.8, it comes completely deformed in Unity.
But exporting as .fbx using Blender 2.79, it is ok.

Exact steps for others to reproduce the error

  1. Open the attached file in Blender 2.8 and export as .fbx
  2. Open this .fbx in Unity, it will be completely distorted
  3. Do the same with Blender 2.79 and it will be ok in Unity




Details

Type
Bug

Event Timeline

Philipp Oeser (lichtwerk) triaged this task as Needs Information from User priority.

Afaik, Unity will convert to fbx [with blenders fbx exporter] when trying to import .blends.
So this is an FBX issue.

Current master apparently has an issue exporting FBX [getting asserts on exanding enums -- but that is a different story for now...]

just to make sure:

  • could you post a screenshot of what the distorsions look like in Untiy?
  • have you tried different settings of the exporter?
  • does this come over correctly from blender <-- FBX --> blender?

Ok, if you have access to DiscordApp you can see the thread here.
In any case, here some images:

In Blender 2.8:
https://cdn.discordapp.com/attachments/497872424281440267/569610659550199818/unknown.png

When I open it in Unity:
https://cdn.discordapp.com/attachments/497872424281440267/569610764839682048/unknown.png

Here when exporting as .fbx:
https://cdn.discordapp.com/attachments/497872424281440267/569620967664517130/unknown.png

And here when exporting as .dae:
https://cdn.discordapp.com/attachments/497872424281440267/569621059968696351/unknown.png

.dae was the only format that didn't deform the mesh (using 2.8).

Now, exporting the same .blend as .fbx via 2.79, it seems like the .dae.

Another thing: the hierarchy of the elements was messed up in both cases, I had to fix it manually in Unity.

OK, thanx for the screenshots (will update the report above)

Now to the remaining questions:

  • have you tried different settings of the exporter?
  • does this come over correctly from blender <-- FBX --> blender?
  • have you tried different settings of the exporter?

Yes.

  • does this come over correctly from blender <-- FBX --> blender?

I didn't understand your question.

what I meant was: if you import this FBX back into blender, do you face the same issues?

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Confirmed, Medium.

thx again for getting back.

@Bastien Montagne (mont29): does this ring a bell?

Bastien Montagne (mont29) lowered the priority of this task from Confirmed, Medium to Needs Information from User.May 20 2019, 4:23 PM

Can you please try again with latest version of Blender2.8 ? Several things have been fixed recently in depsgraph/evaluation of meshes, that affect all IO addons (among other things), so that issue might have been among the lucky one to be fixed. ;)

Rogério Dec (rogeriodec) closed this task as Resolved.May 21 2019, 1:04 AM

Can you please try again with latest version of Blender2.8 ? Several things have been fixed recently in depsgraph/evaluation of meshes, that affect all IO addons (among other things), so that issue might have been among the lucky one to be fixed. ;)

Problem solved.
Thank you very much!